## GgitCloneOptions GgitCloneOptions |

## Functions

GgitCloneOptions * | ggit_clone_options_copy ()
void | ggit_clone_options_free ()
GgitCloneOptions * | ggit_clone_options_new ()
gboolean | ggit_clone_options_get_is_bare ()
void | ggit_clone_options_set_is_bare ()
const gchar * | ggit_clone_options_get_checkout_branch ()
void | ggit_clone_options_set_checkout_branch ()
GgitRemoteCallbacks * | ggit_clone_options_get_remote_callbacks ()
void | ggit_clone_options_set_remote_callbacks ()

## Types and Values

| GgitCloneOptions

## Object Hierarchy

        GBoxed
        ╰── GgitCloneOptions

## Description

## Functions

### ggit_clone_options_copy ()

    GgitCloneOptions *
    ggit_clone_options_copy (GgitCloneOptions *clone_options);

Copies `clone_options` into a newly allocated GgitCloneOptions.

#### Parameters

clone_options | a GgitCloneOptions. |

#### Returns

a newly allocated GgitCloneOptions.

[transfer full]

### ggit_clone_options_free ()

    void
    ggit_clone_options_free (GgitCloneOptions *clone_options);

Frees `clone_options` .

#### Parameters

clone_options | a GgitCloneOptions. |

### ggit_clone_options_new ()

    GgitCloneOptions *
    ggit_clone_options_new (void);

Creates a new GgitCloneOptions.

#### Returns

a newly allocated GgitCloneOptions.

### ggit_clone_options_get_is_bare ()

    gboolean
    ggit_clone_options_get_is_bare (GgitCloneOptions *options);

Gets if the repository will be bare.

#### Parameters

options | a GgitCloneOptions. |

#### Returns

`TRUE` to clone a bare repository.

### ggit_clone_options_set_is_bare ()

    void
    ggit_clone_options_set_is_bare (GgitCloneOptions *options,
                                    gboolean bare);

Sets whether to clone a bare repository.

#### Parameters

options | a GgitCloneOptions. |
bare | `TRUE` to clone a bare repository. |

### ggit_clone_options_get_checkout_branch ()

    const gchar *
    ggit_clone_options_get_checkout_branch
                                   (GgitCloneOptions *options);

Gets the name of the branch to checkout or `NULL`.

#### Parameters

options | a GgitCloneOptions. |

#### Returns

the name of the branch to checkout or `NULL`.

### ggit_clone_options_set_checkout_branch ()

    void
    ggit_clone_options_set_checkout_branch
                                   (GgitCloneOptions *options,
                                    const gchar *checkout_branch);

Gives the name of the branch to checkout. `NULL` means use the remote's HEAD.

#### Parameters

options | a GgitCloneOptions. |
checkout_branch | the name of the branch to checkout or `NULL`. | [allow-none]

### ggit_clone_options_get_remote_callbacks ()

    GgitRemoteCallbacks *
    ggit_clone_options_get_remote_callbacks
                                   (GgitCloneOptions *options);

Get the remote callbacks object or `NULL` if not set.

#### Parameters

options | a GgitCloneOptions. |

#### Returns

the remote callbacks or `NULL`.

[transfer none]

### ggit_clone_options_set_remote_callbacks ()

    void
    ggit_clone_options_set_remote_callbacks
                                   (GgitCloneOptions *options,
                                    GgitRemoteCallbacks *callbacks);

Set the remote callbacks object.

#### Parameters

options | a GgitCloneOptions. |
callbacks | a GgitRemoteCallbacks or `NULL`. | [allow-none]

## Types and Values

### GgitCloneOptions

    typedef struct _GgitCloneOptions GgitCloneOptions;

Represents the options used when cloning.